unable to update apps in market

Discussion in 'Bugs' started by nickxti, Mar 16, 2012.

  1. nickxti

    nickxtiMembers

    Jul 17, 2011
    88
    2
    18
    G2, 2.3.9

    I've got two apps (Google Earth and N7 Player) that have an update in the Maket and when I try to update, it says "your device isn't compatible with this item." This just started in the last few days.
     
  2. iBotPeaches

    iBotPeachesScript Gatekeeper

    Oct 31, 2011
    3,811
    1,115
    335
    Kansas
    You upgraded from what to what? I assume you went from 2.3.9 to 2.3.16? So you went from GB to ICS? Maybe those apps aren't ICS compatible. Try wiping the Market cache.

    Hold HOME, App Management, Find Market. Wipe Cache.
     
  3. nickxti

    nickxtiMembers

    Jul 17, 2011
    88
    2
    18
    No, I'm still on a GB ROM. I mean when I try to update the individual app in the market, I get that error. Clearing cache didn't help.
     
  4. iBotPeaches

    iBotPeachesScript Gatekeeper

    Oct 31, 2011
    3,811
    1,115
    335
    Kansas
    Then those apps probably added in the update a newer model check that is being failed now. I can't think of anything else that might cause that.
     
  5. nickxti

    nickxtiMembers

    Jul 17, 2011
    88
    2
    18
    yeah, I thought about that, but in reading the change logs, they're just minor updates. nothing major that should make my phone incompatible.

    I'll update the rom to 2.3.16 to see if that changes anything
     
  6. MatthewChen

    Feb 23, 2012
    133
    5
    28
    try logging into google play (web based) and you'll see why you can't update those apps, like gMaps, cant seem to update them because of Country issues and so on.
     
  7. nickxti

    nickxtiMembers

    Jul 17, 2011
    88
    2
    18
    I did that...it specifically says that those apps are compatible with my phone! What's even weirder is that I can't update n7 player by itself, but when I click "update all" it updates. I have no idea why
     

Share Our Site